# reorderFilters

Set the display order of saved filters: `filterIds` first to last (listPropertyFilters / listContactFilters / listDealFilters ids).

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "reorderFilters", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `filterIds`: `[ID!]!` (required)

## Response (data, an example)

```json
{
  "filterMutation": {
    "reorderFilters": [
      {
        "id": "<ID>",
        "name": "…"
      }
    ]
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "reorderFilters",
    "variables": {
      "filterIds": [
        "<filterIds>"
      ]
    }
  }'
```
